GroupControlForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.group.control.GroupControlForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.group.control
Class GroupControlForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.common.control.ControlForm
                              org.hyperic.hq.ui.action.resource.group.control.GroupControlForm

All Implemented Interfaces:
  java.io.Serializable

    public final class GroupControlForm

extends ControlForm

A subclass of `ControlForm` representing the EditUserProperties form.

See Also:
  `org.hyperic.hq.ui.resource.common.control.ControlForm`, Serialized Form

Field Summary
`static java.lang.Boolean` | `IN_ORDER`
`static java.lang.Boolean` | `IN_PARALLEL`

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`GroupControlForm()`

Method Summary
`java.lang.Boolean` | `getInParallel()` Getter for property parallel.
`java.lang.Integer[]` | `getResourceOrdering()` Getter for property orde.
`java.util.List` | `getResourceOrderingOptions()` Getter for property resourceOrderingOptions.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setInParallel(java.lang.Boolean inParallel)` Setter for property parallel.
`void` | `setResourceOrdering(java.lang.Integer[] order)` Setter for property orde.
`void` | `setResourceOrderingOptions(java.util.List resourceOrderingOptions)` Setter for property resourceOrderingOptions.
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.resource.common.control.ControlForm
`getControlAction, getDescription, setControlAction, setDescription`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IN_PARALLEL

    public static final java.lang.Boolean IN_PARALLEL

### IN_ORDER

    public static final java.lang.Boolean IN_ORDER

Constructor Detail

### GroupControlForm

    public GroupControlForm()

Method Detail

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ControlForm`

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `ControlForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ControlForm`

### getInParallel

    public java.lang.Boolean getInParallel()

  Getter for property parallel.

  Returns:
    Value of property parallel.

### setInParallel

    public void setInParallel(java.lang.Boolean inParallel)

  Setter for property parallel.

  Parameters:
    `parallel` - New value of property parallel.

### getResourceOrdering

    public java.lang.Integer[] getResourceOrdering()

  Getter for property orde.

  Returns:
    Value of property orde.

### setResourceOrdering

    public void setResourceOrdering(java.lang.Integer[] order)

  Setter for property orde.

  Parameters:
    `orde` - New value of property orde.

### getResourceOrderingOptions

    public java.util.List getResourceOrderingOptions()

  Getter for property resourceOrderingOptions.

  Returns:
    Value of property resourceOrderingOptions.

### setResourceOrderingOptions

    public void setResourceOrderingOptions(java.util.List resourceOrderingOptions)

  Setter for property resourceOrderingOptions.

  Parameters:
    `resourceOrderingOptions` - New value of property resourceOrderingOptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.